import ast


def main() -> None:
    e = ast.parse("(3 + (6 * 5)) * (2 + 7)", mode='eval')
    print(ast.dump(e, indent=4))
    bc = compile(e, filename='<string>', mode='eval')
    print(eval(bc))


if __name__ == '__main__':
    main()
